EDIT - bug #6105
feature request # 3958 (Closed): Handle CDMPreference table

Make CdmPreferences editable in separate view
09/21/2016 11:30 AM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal Found in Version:

Description

We started editing CdmPreferences in #5969. This is experimental as the Ul mixes local preferences with CdmPreferences which is
unwanted.

The idea is to implement a separate Ul to edit CdmPreferences which is available through a new menu Admin-Database
Preferences. For now it might look similar to the current TaxEditor Preferences Ul.

Subtasks:
feature request # 5971: Implement database wide CdmPreference writing Closed
bug # 6214: Add project specific preferences to CdmPreference menu Closed

Related issues:

Related to EDIT - bug #6215: NPE when opening preferences with no DB connection Closed
Related to EDIT - task #6271: Move user and user groups from bulk editor menu... Duplicate
Follows EDIT - feature request #5969: Implement CdmPreference reading for dat... Closed

Associated revisions

Revision 0bd095d9 - 11/23/2016 10:22 AM - Katja Luther

fix #5971: admin menu is visible only if connected and user has role manager

Revision 05030527 - 12/19/2016 04:04 PM - Katja Luther

ref #6105: add name details view configuration to the cdm preferences view

History

#1 - 09/21/2016 11:57 AM - Andreas Miiller
- Due date set to 07/11/2016
- Start date changed from 09/21/2016 to 07/11/2016

- Follows feature request #5969: Implement CdmPreference reading for database preferences added

#2 - 09/21/2016 12:07 PM - Andreas Miiller
- Due date changed from 07/11/2016 to 10/25/2016

#3 - 11/23/2016 10:32 AM - Katja Luther
This is done, see #5971

#4 - 11/23/2016 10:33 AM - Katja Luther
- Status changed from New to Resolved

- Target version changed from Unassigned CDM tickets to Release 4.4

#5 - 11/23/2016 02:38 PM - Andreas Miiller
- Related to bug #6215: NPE when opening preferences with no DB connection added

#6 - 11/23/2016 02:56 PM - Andreas Miiller
- Related to feature request #3958: Handle CDMPreference table added
#7 - 11/23/2016 03:00 PM - Andreas Miiller
- Parent task set to #3958

#8 - 12/12/2016 01:28 PM - Andreas Miiller

- Related to task #6271: Move user and user groups from bulk editor menu to Admin menu added

#9 - 05/30/2018 10:23 AM - Andreas Miiller

Can we close this?

#10 - 11/03/2021 03:38 PM - Andreas Miiller

- Status changed from Resolved to Closed
